Install dnsmasq:
  pkg.installed:
    - name: dnsmasq

dnsmasq.conf configuration file:
  file.managed:
    - name: /etc/dnsmasq.conf
    - source: salt://dnsmasq/files/dnsmasq.conf
    - user: root
    - group: root
    - mode: "0644"

rre.nu configuration file:
  file.managed:
    - name: /etc/dnsmasq.d/rre.conf
    - source: salt://dnsmasq/files/rre.conf
    - user: root
    - group: root
    - mode: "0644"

rre.home configuration file:
  file.managed:
    - name: /etc/dnsmasq.d/home.conf
    - source: salt://dnsmasq/files/home.conf
    - user: root
    - group: root
    - mode: "0644"

configure host file:
  file.managed:
    - name: /etc/hosts
    - source: salt://dnsmasq/files/hosts
    - user: root
    - group: root
    - mode: "0644"


start dnsmasq:
  service.running:
    - name: dnsmasq
    - enable: True
    - watch:
      - file: rre.nu configuration file
      - file: rre.home configuration file
      - file: configure host file
      - file: dnsmasq.conf configuration file
